import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listMaintenance(query) {
  return request({
    url: '/engine/maintenance/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getMaintenance(id) {
  return request({
    url: '/engine/maintenance/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addMaintenance(data) {
  return request({
    url: '/engine/maintenance',
    method: 'post',
    data: data
  })
}

// 初始化
export function initializeRuleEngine(data) {
  return request({
    url: '/engine/maintenance/InitializeRuleEngine',
    method: 'post',
    data: data
  })
}
//测试方法
export function testMethod(code) {
  return request({
    url: '/engine/maintenance/TestMethod?code='+code,
    method: 'get'
  })
}

// 修改【请填写功能名称】
export function updateMaintenance(data) {
  return request({
    url: '/engine/maintenance',
    method: 'put',
    data: data
  })
}
//修改规则引擎激活状态
export function updIsActivate(id,isActivate) {
  return request({
    url: '/engine/maintenance/updIsActivate?id='+id +'&isActivate='+isActivate,
    method: 'post'
  })
}
//修改状态
export function updStatus(id,status) {
  return request({
    url: '/engine/maintenance/updStatus?id='+id +'&status='+status,
    method: 'post'
  })
}
// 删除【请填写功能名称】
export function delMaintenance(id) {
  return request({
    url: '/engine/maintenance/' + id,
    method: 'delete'
  })
}
export function delEngineId(id) {
  return request({
    url: '/engine/maintenance/delEngineId?id=' + id,
    method: 'delete'
  })
}

