import request from '@/utils/request'

// 查询数据源列表
export function listDatasource(data) {
  return request({
    url: '/data/source/list',
    method: 'post',
    data:data
  })
}

// 查询数据源详细
export function getDatasource(id) {
  return request({
    url: '/data/source/' + id,
    method: 'get'
  })
}



// 新增数据源
export function addDatasource(data) {
  return request({
    url: '/data/source',
    method: 'post',
    data: data
  })
}

// 修改数据源
export function updateDatasource(data) {
  return request({
    url: '/data/source',
    method: 'put',
    data: data
  })
}

// 删除数据源
export function delDatasource(id) {
  return request({
    url: '/data/source/' + id,
    method: 'delete'
  })
}
export function test(data) {
  return request({
    url: '/data/source/test',
    method: 'post',
    data
  })
}
export function assetsList(data) {
  return request({
    url: '/data/source/assetsList',
    method: 'post',
    data
  })
}


export function structuresList(data) {
  return request({
    url: '/data/source/structuresList',
    method: 'post',
    data
  })
}


export function synchronization(data) {
  return request({
    url: '/data/source/synchronization',
    method: 'post',
    data
  })
}

export function dataAssetList(data) {
  return request({
    url: '/data/source/dataAssetList',
    method: 'post',
    data
  })
}
//根据数据源id查询表
export function selectAssetModel(id) {
  return request({
    url: '/data/source/selectAssetModel?id=' +id,
    method: 'post'
  })
}

export function assetModelList(data) {
  return request({
    url: '/data/source/assetModelList',
    method: 'post',
    data
  })
}

export function assetList(data) {
  return request({
    url: '/data/model/list',
    method: 'get',
    data
  })
}

export function statisticsInfo(data) {
  return request({
    url: '/data/source/statisticsInfo',
    method: 'post',
    data
  })
}


export function UpdateAssetModel(data) {
  return request({
    url: '/data/model/UpdateAssetModel',
    method: 'put',
    data
  })
}

export function listModel(data){
  return request({
    url: '/data/model/list',
    method: 'post',
    data
  })
}
