import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listVersion(query) {
  return request({
    url: '/engine/version/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getVersion(id) {
  return request({
    url: '/engine/version/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addVersion(data) {
  return request({
    url: '/engine/version',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateVersion(data) {
  return request({
    url: '/engine/version',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delVersion(id) {
  return request({
    url: '/engine/version/' + id,
    method: 'delete'
  })
}export function generateCode(data) {
  return request({
    url: '/engine/version/generateCode',
    method: 'post',
    data: data
  })
}

// 初始化
export function initializeRuleEngine(data) {
  return request({
    url: '/engine/version/InitializeRuleEngine',
    method: 'post',
    data: data
  })
}
//修改版本状态
export function updVersionIsActivate(id,isActivate) {
  return request({
    url: '/engine/version/updVersionIsActivate?id=' + id +'&isActivate='+isActivate,
    method: 'put'
  })
}

export function getDataRegionList(data) {
  return request({
    url: '/engine/version/getDataRegionList',
    method: 'post',
    data:data
  })
}
